System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.Web.Hosting.IISAPIRuntime System.Web.Hosting.IRegisteredObject To be added

Manages objects in the .NET Framework. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Forces garbage collection.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Object To be added.

  Gives the object an infinite lifetime by preventing a lease from being created.

  null to prevent a lease from being created.

- Method
  System.Int32 `` `` To be added

  Creates a new object to process the current request.

  0 if was created successfully; otherwise, 1.

  An ISAPI extension control block. 0 to create an out-of-process request; otherwise, an in-process request is created. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added

  Starts processing all items in the worker process pipeline.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Stops processing the items in the worker process pipeline.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added.

  Requests a registered object to unregister.

  true to indicate that the registered object should unregister from the hosting environment before returning; otherwise, false.